summaryrefslogtreecommitdiffstats
path: root/needs-checking/prep-patch
diff options
context:
space:
mode:
Diffstat (limited to 'needs-checking/prep-patch')
-rwxr-xr-xneeds-checking/prep-patch21
1 files changed, 21 insertions, 0 deletions
diff --git a/needs-checking/prep-patch b/needs-checking/prep-patch
new file mode 100755
index 0000000..6fc4198
--- /dev/null
+++ b/needs-checking/prep-patch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+. patchfns 2>/dev/null ||
+. /usr/lib/patch-scripts/patchfns 2>/dev/null ||
+. $PATCHSCRIPTS_LIBDIR/patchfns 2>/dev/null ||
+{
+ echo "Impossible to find my library 'patchfns'."
+ echo "Check your install, or go to the right directory"
+ exit 1
+}
+
+if [ $# -ne 1 ]
+then
+ echo "Usage prep-patch patchname"
+ exit 1
+fi
+
+PATCHNAME=$(stripit $1)
+
+xcb -s 2 < $(patch_file_name $PATCHNAME)
+head -2 $(txt_file_name $PATCHNAME) | tail -1 | tr -d '\n' | xcb -s 1